Bug 192910 - cannot use conserver by TCP
cannot use conserver by TCP
Product: Fedora
Classification: Fedora
Component: conserver (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jima
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-05-23 20:16 EDT by Roland McGrath
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 8.1.14-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-24 09:07:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roland McGrath 2006-05-23 20:16:33 EDT
Description of problem:

Using --with-uds in %configure makes a build that does not support having the
conserver daemon on one machine and the console client on another machine.
That is a big part of what makes conserver useful.  Before it went into extras,
I was using an unofficial conserver rpm of my own and the extras version updated
over it leaving me unable to use conserver.

The upstream code should really support making this a runtime configuration
choice rather than compile-time.  But I am not energetic enough to fix it that
way this week.  The conserver network support can work with SSL and tcp-wrappers
and I think that can provide sufficient security for people who want to restrict
it to local use.  The configuration using --with-uds renders it useless to me.

Please consider removing --with-uds from the %configure line in conserver.spec.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 nathan r. hruby 2006-05-23 20:35:15 EDT
Ditto, half the fun of conserver is the network support :)

Suggest running configure with "--with-openssl --with-libwrap --with-pam"
instead (plus CFLAGS fun) so it'll "just work" for the most part (users will
still need to edit conserver.passwd).

Comment 2 Jima 2006-05-24 09:07:14 EDT
Nate Straz bugged me about this a month ago (with patches); I should have
committed the fix then.  My apologies.

Should be fixed in 8.1.14-3, coming soon to a mirror near you.


Note You need to log in before you can comment on or make changes to this bug.